<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- ezadd.xsl	-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="SHIFT_JIS" indent="yes"/>

<xsl:variable name="title" select="'AhX'"/>

<xsl:template match="/">
	<xsl:apply-templates select="list"/>
</xsl:template>

<xsl:template match="list">
	<xsl:call-template name="htmlProc"/>
</xsl:template>

<xsl:template name="htmlProc">
	<html>
		<head>
			<xsl:call-template name="head"/>
		</head>
		<body>
			<xsl:call-template name="bodyProc"/>
		</body>
	</html>
</xsl:template>

<xsl:template name="head">
	<title>
		<xsl:value-of select="$title"/>
	</title>
</xsl:template>

<xsl:template name="bodyProc">
	<xsl:call-template name="heading"/>
	<xsl:call-template name="list"/>
</xsl:template>

<xsl:template name="heading">
	<h2>
		<xsl:value-of select="$title"/>
	</h2>
</xsl:template>

<xsl:template name="list">
	<table>
		<xsl:call-template name="listHeading"/>
		<xsl:call-template name="listBody"/>
		<xsl:call-template name="listTailing"/>
	</table>
</xsl:template>

<xsl:template name="listHeading">
	<tr><td colspan="5" align="right">
	<xsl:text>[</xsl:text>
	<xsl:value-of select="normalize-space(date)"/>
	<xsl:text>]</xsl:text>
						</td></tr>
</xsl:template>

<xsl:template name="listBody">
	<xsl:apply-templates select="add | id | page"/>
</xsl:template>

<xsl:template name="listTailing">
	<tr><td colspan="5" align="right">
	<xsl:text>[Typesetting by EZADD]</xsl:text>
		</td></tr>
</xsl:template>

<xsl:template match="add">
	<tr><td colspan="5">
	<xsl:text>[Z^]</xsl:text>
						</td></tr>
	<xsl:apply-templates select="p | page" mode="add"/>
</xsl:template>

<xsl:template match="p" mode="add">
	<xsl:apply-templates select="n" mode="add"/>
	<xsl:apply-templates select="a | o | c" mode="add"/>
	<tr><td colspan="5">
		<xsl:text>@</xsl:text>
						</td></tr>
</xsl:template>

<xsl:template match="n" mode="add">
	<tr><td align="right">
	<xsl:number count="p" from="add"/>
	<xsl:text>) </xsl:text>
		</td><td colspan="2">
		<xsl:value-of select="."/>
				</td><td align="right">
				<xsl:value-of select="../t"/>
					</td><td>
					<xsl:text>dF </xsl:text>
					<xsl:value-of select="../d"/>
						</td></tr>
</xsl:template>

<xsl:template match="a | c" mode="add">
	<xsl:if test="string-length(normalize-space(.)) != 0">
		<tr><td>
			</td><td colspan="3">
			<xsl:value-of select="."/>
						</td><td>
							</td></tr>
	</xsl:if>
</xsl:template>

<xsl:template match="o" mode="add">
	<xsl:if test="string-length(normalize-space(n)) != 0">
		<tr><td>
			</td><td colspan="2">
			<xsl:value-of select="n"/>
					</td><td align="right">
					<xsl:value-of select="t"/>
						</td><td>
							</td></tr>
	</xsl:if>
</xsl:template>

<xsl:template match="page" mode="add">
	<tr><td colspan="5" align="center">
		<xsl:text>page</xsl:text>
		</td></tr>
</xsl:template>

<xsl:template match="id">
	<tr><td colspan="5">
	<xsl:text>[]</xsl:text>
						</td></tr>
	<xsl:apply-templates select="i | page" mode="id"/>
	<tr><td colspan="5">
		<xsl:text>@</xsl:text>
						</td></tr>
</xsl:template>

<xsl:template match="i" mode="id">
	<xsl:apply-templates select="l" mode="id"/>
	<xsl:apply-templates select="c" mode="id"/>
</xsl:template>

<xsl:template match="l" mode="id">
	<tr><td>
	<xsl:number count="i" from="id"/>
	<xsl:text>) </xsl:text>
		</td><td colspan="3">
		<xsl:value-of select="."/>
		<xsl:text>@</xsl:text>
		<xsl:value-of select="../n"/>
					</td><td>
					<xsl:text>dF </xsl:text>
					<xsl:value-of select="../d"/>
						</td></tr>
</xsl:template>

<xsl:template match="c" mode="id">
	<xsl:if test="string-length(normalize-space(.)) != 0">
		<tr><td>
			</td><td>
			<xsl:text>@</xsl:text>
				</td><td colspan="2">
				<xsl:value-of select="."/>
						</td><td>
							</td></tr>
	</xsl:if>
</xsl:template>

<xsl:template match="page" mode="id">
	<tr><td colspan="5" align="center">
		<xsl:text>page</xsl:text>
		</td></tr>
</xsl:template>

<xsl:template match="page">
	<tr><td colspan="5" align="center">
		<xsl:text>page</xsl:text>
		</td></tr>
</xsl:template>

</xsl:stylesheet>
